---
title: List all attendees
slug: list-all-attendees
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees",
  "name": "List all attendees",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [
      {
        "name": "page[size]",
        "kind": "required",
        "type": "Number",
        "description": "Paginate the response of this endpoint. This is required.",
        "children": []
      },
      {
        "name": "page[number]",
        "kind": "required",
        "type": "Number",
        "description": "Retrieve a specific page of results",
        "children": []
      },
      {
        "name": "created_from",
        "kind": "optional",
        "type": "string",
        "description": "Retrieve entries created from this datetime. Provide the date in the format: 2023-05-02T00:00:00.000Z",
        "children": []
      },
      {
        "name": "created_to",
        "kind": "optional",
        "type": "string",
        "description": "Retrieve entries created until this datetime. Provide the date in the format: 2023-05-02T00:00:00.000Z",
        "children": []
      },
      {
        "name": "updated_from",
        "kind": "optional",
        "type": "string",
        "description": "Retrieve entries updated from this datetime. Provide the date in the format: 2023-05-02T00:00:00.000Z",
        "children": []
      },
      {
        "name": "updated_to",
        "kind": "optional",
        "type": "string",
        "description": "Retrieve entries updated until this datetime. Provide the date in the format: 2023-05-02T00:00:00.000Z",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n  \"data\": [\n    {\n      \"id\": \"982404\",\n      \"type\": \"attendee\",\n      \"attributes\": {\n        \"first-name\": \"Jane\",\n        \"last-name\": \"Lando\",\n        \"email\": \"jland@brella.io\",\n        \"company-title\": \"Customer Success Manager \",\n        \"company-name\": \"Brella Oy\",\n        \"group-id\": \"11428\",\n        \"created-at\": \"2022-04-14T09:53:54.026Z\",\n        \"updated-at\": \"2022-04-14T09:54:55.978Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"5981\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"982386\",\n      \"type\": \"attendee\",\n      \"attributes\": {\n        \"first-name\": \"Wille\",\n        \"last-name\": \"Valentine\",\n        \"email\": \"vwille@brella.io\",\n        \"company-title\": \"President - Product Experience\",\n        \"company-name\": \"Brella\",\n        \"group-id\": \"11428\",\n        \"created-at\": \"2022-04-14T09:02:01.643Z\",\n        \"updated-at\": \"2022-04-14T09:02:16.491Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"5981\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"1127479\",\n      \"type\": \"attendee\",\n      \"attributes\": {\n        \"first-name\": \"Kavi\",\n        \"last-name\": \"Weerawardane\",\n        \"email\": \"ksmith@brella.io\",\n        \"company-title\": \"Senior PM\",\n        \"company-name\": \"Brella\",\n        \"group-id\": \"11428\",\n        \"created-at\": \"2022-12-10T07:27:48.890Z\",\n        \"updated-at\": \"2022-12-10T07:28:11.764Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"5981\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"982409\",\n      \"type\": \"attendee\",\n      \"attributes\": {\n        \"first-name\": \"Steffi\",\n        \"last-name\": \"Valentine \",\n        \"email\": \"stefval@brella.io\",\n        \"company-title\": \"Technical Success Manager\",\n        \"company-name\": \"Brella\",\n        \"group-id\": \"11429\",\n        \"created-at\": \"2022-04-14T10:42:19.215Z\",\n        \"updated-at\": \"2022-11-24T10:15:34.921Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"5981\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    }\n  ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "sWUxsK4s3uQ6jr3viOnLT",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "sWUxsK4s3uQ6jr3viOnLT"
  },
  "description": "List all attendees in a specific event",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "list-all-attendees",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**Notes:&#x20;**

- This endpoint accepts the following URL parameters for filtering:
  - `created_from`
  - `updated_from`
  - `created_to`
  - `updated_to`
    - Please supply the date in the following format: `2023-11-20T00:00:00.000Z`

